<template>
  <footer class="page-footer">
    <div class="container text-center text-lg-left">
      <div
        class="
          w-100
          d-flex
          flex-wrap flex-col flex-lg-row
          align-items-center
          justify-content-center justify-content-lg-between
        "
      >
        <nuxt-link to="/" class="logo-link">
          <img
            class="footer-logo"
            src="/img/logo/solon-logo-weiss.svg"
            alt="Solon Logo"
            width="200"
            height="41"
          />
        </nuxt-link>
        <div v-if="options.linkedin || options.youtube" class="some">
          <a v-if="options.linkedin" :href="options.linkedin" target="_blank"
            :title="`${options.companyname} bei LinkedIn`">
            <img
              class="some-icon"
              src="/img/so-me/linked-in-white.svg"
              alt="LinkedIn Logo"
              width="48"
              height="48"
            />
          </a>
          <a v-if="options.instagram" :href="options.instagram" target="_blank"
            :title="`${options.companyname} bei Instagram`">
            <img
              class="some-icon"
              src="/img/so-me/instagram.svg"
              alt="Instagram Logo"
              width="48"
              height="48"
            />
          </a>
          <a v-if="options.youtube" :href="options.youtube" target="_blank"
            :title="`${options.companyname} bei YouTube`">
            <img
              class="some-icon"
              src="/img/so-me/youtube.svg"
              alt="YouTube Logo"
              width="48"
              height="48"
            />
          </a>
        </div>
      </div>
      <div class="row">
        <div class="col-12 col-lg-4">
          <p v-html="options.address" />
          <p>
            <a :href="`mailto:${options.email}`" class="no-link-styling">{{ options.email }}</a><br/>
            <a :href="`tel:${options.phone}`" class="no-link-styling">{{ options.phone }}</a>
          </p>
        </div>
        <div class="col-12 col-lg-4">
          <ul v-if="menu.length">
            <li v-for="item in menu" :key="item.id">
              <nuxt-link :to="item.path" class="menu-link">{{
                item.label
              }}</nuxt-link>
            </li>
          </ul>
        </div>
        <div class="col-12 col-lg-4 text-left">
          <div class="newsletter-form">
            <h4>Newsletter</h4>
            <atom-newsletter variant="white" />
          </div>
        </div>
      </div>
    </div>
  </footer>
</template>

<script>
export default {
  computed: {
    menu() {
      return this.$store.state.menus.footer;
    },
    options() {
      return this.$store.state.options;
    },
  },
}
</script>

<style lang="scss">
.page-footer {
  background: $black;
  color: $white;
  padding: 4rem 0 0;

  .col-12 {
    margin-bottom: 4rem;
  }

  .logo-link {
    flex-basis: 100%;
    margin-bottom: 4rem;

    @include media-breakpoint-up(lg) {
      flex-basis: auto;
    }
  }

  .footer-logo {
    margin-left: 0.5rem;
    width: 200px;
    height: auto;

    @include media-breakpoint-up(lg) {
      margin-left: 0;
    }
  }

  .menu-link {
    text-decoration: none;

    &:hover,
    &.nuxt-link-exact-active {
      text-decoration: underline;
      color: $white;
      text-decoration-color: $primary;
      text-decoration-thickness: 0.15em;
      text-underline-offset: 0.3em;
    }
  }

  .some {
    margin-bottom: 4rem;
    display: flex;
  }

  .some-icon {
    display: block;
    width: 3rem;
    height: 3rem;
    margin: 0 0.75rem;

    @include media-breakpoint-up(lg) {
      width: 2.5rem;
      height: 2.5rem;
    }
  }

  p {
    font-weight: 400;
  }

  ul {
    padding-left: 0;
    list-style: none;
  }

  li {
    display: inline-block;
    width: auto;
    text-align: center;
    font-weight: 400;
    letter-spacing: 1px;
    margin: 0 1.5rem 1rem;

    @include media-breakpoint-up(lg) {
      display: block;
      width: auto;
      text-align: left;
    }

    a {
      text-transform: uppercase;
    }
  }

  h4 {
    font-size: 1.125rem;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 1px;
  }

  label {
    font-size: 1rem;
    letter-spacing: 0.2px;

    a {
      color: $white;
      text-decoration: underline;
      text-decoration-color: $primary;
      text-decoration-thickness: 2px;
      text-underline-offset: 4px;

      &:hover {
        color: $primary;
      }
    }
  }

  input[type='email'],
  input[type='email']:focus {
    color: $white;
    border-bottom: 2px solid $white;
  }

  ::placeholder {
    color: $white !important;
  }

  .newsletter-form {
    max-width: 448px;
    margin: 0 auto;

    @include media-breakpoint-up(xl) {
      max-width: none;
      margin: 0;
    }
  }
}
</style>
